Loading...
Searching...
No Matches
casacore::LASTColumn Class Reference
derivedmscal package (libcasa_derivedmscal) » DerivedMC_module » DerivedMC_module_internal_classes

Local sidereal time derived from TIME, etc. More...

`#include <DerivedColumn.h>`

## Public Member Functions

| LASTColumn (MSCalEngine *engine, Int antnr)
virtual | ~LASTColumn ()
virtual void | get (rownr_t rowNr, Double &data)
| Let a derived class get the scalar value in the given row.
Public Member Functions inherited from casacore::VirtualScalarColumn< Double >
| VirtualScalarColumn ()
| Create a column.
virtual | ~VirtualScalarColumn ()
| Frees up the storage.
VirtualScalarColumn< Double > & | operator= (const VirtualScalarColumn< Double > &)=delete
| The object cannot be assigned to.
virtual int | dataType () const
| Return the data type of the column.
virtual String | dataTypeId () const
| Return the data type Id of the column.
virtual void | put (rownr_t rownr, const Double &data)
| Let a derived class put the scalar value into the given row.
Public Member Functions inherited from casacore::VirtualScalarColumnBase
| VirtualScalarColumnBase ()
| Create a column.
virtual | ~VirtualScalarColumnBase ()
virtual Bool | isWritable () const
| By default no data can be put in a virtual column.
Public Member Functions inherited from casacore::DataManagerColumn
| DataManagerColumn ()
| Create a column.
virtual | ~DataManagerColumn ()
| Frees up the storage.
| DataManagerColumn (const DataManagerColumn &)=delete
| The copy constructor cannot be used for this base class.
DataManagerColumn & | operator= (const DataManagerColumn &)=delete
| Assignment cannot be used for this base class.
void | setIsFixedShape (Bool isFixedShape)
| Set the isFixedShape flag.
Bool | isFixedShape () const
| Is this a fixed shape column?
virtual void | setMaxLength (uInt maxLength)
| Set the maximum length of the value (can be used for strings).
void | setFixedShapeColumn (const IPosition &shape)
| Set the shape of all (fixed-shaped) arrays in the column.
virtual void | setShape (rownr_t rownr, const IPosition &shape)
| Set the shape of an (variable-shaped) array in the given row.
virtual void | setShapeTiled (rownr_t rownr, const IPosition &shape, const IPosition &tileShape)
| Set the shape and tile shape of an (variable-shaped) array in the given row.
virtual Bool | isShapeDefined (rownr_t rownr)
| Is the value shape defined in the given row?
virtual uInt | ndim (rownr_t rownr)
| Get the dimensionality of the item in the given row.
virtual IPosition | shape (rownr_t rownr)
| Get the shape of the item in the given row.
virtual IPosition | tileShape (rownr_t rownr)
| Get the tile shape of the item in the given row.
virtual Bool | canChangeShape () const
| Can the data manager handle chaging the shape of an existing array?
ColumnCache & | columnCache ()
| Get access to the ColumnCache object.
const ColumnCache * | columnCachePtr () const
void | get (rownr_t rownr, Bool *dataPtr)
| Get the scalar value in the given row.
void | get (rownr_t rownr, uChar *dataPtr)
void | get (rownr_t rownr, Short *dataPtr)
void | get (rownr_t rownr, uShort *dataPtr)
void | get (rownr_t rownr, Int *dataPtr)
void | get (rownr_t rownr, uInt *dataPtr)
void | get (rownr_t rownr, Int64 *dataPtr)
void | get (rownr_t rownr, float *dataPtr)
void | get (rownr_t rownr, double *dataPtr)
void | get (rownr_t rownr, Complex *dataPtr)
void | get (rownr_t rownr, DComplex *dataPtr)
void | get (rownr_t rownr, String *dataPtr)
void | get (rownr_t rownr, void *dataPtr)
| This function is the get for all non-standard data types.
void | put (rownr_t rownr, const Bool *dataPtr)
| Put the scalar value into the given row.
void | put (rownr_t rownr, const uChar *dataPtr)
void | put (rownr_t rownr, const Short *dataPtr)
void | put (rownr_t rownr, const uShort *dataPtr)
void | put (rownr_t rownr, const Int *dataPtr)
void | put (rownr_t rownr, const uInt *dataPtr)
void | put (rownr_t rownr, const Int64 *dataPtr)
void | put (rownr_t rownr, const float *dataPtr)
void | put (rownr_t rownr, const double *dataPtr)
void | put (rownr_t rownr, const Complex *dataPtr)
void | put (rownr_t rownr, const DComplex *dataPtr)
void | put (rownr_t rownr, const String *dataPtr)
void | put (rownr_t rownr, const void *dataPtr)
| This function is the put for all non-standard data types.
void | throwGet () const
| Throw an "invalid operation" exception for the default implementation of get.
void | throwPut () const
| Throw an "invalid operation" exception for the default implementation of put.
void | setColumnName (const String &colName)
| Set the column name.
const String & | columnName () const
| Get rhe column name.

## Private Attributes

MSCalEngine * | itsEngine
Int | itsAntNr

## Additional Inherited Members

Protected Member Functions inherited from casacore::VirtualScalarColumnBase
virtual void | getArrayV (rownr_t rownr, ArrayBase &dataPtr)
| The array access functions throw an exception.
virtual void | putArrayV (rownr_t rownr, const ArrayBase &data)
| Put the array value into the given row.
virtual void | getArrayColumnV (ArrayBase &data)
| Get all array values in the column.
virtual void | putArrayColumnV (const ArrayBase &data)
| Put all array values in the column.
virtual void | getArrayColumnCellsV (const RefRows &rownrs, ArrayBase &data)
| Get some array values in the column.
virtual void | putArrayColumnCellsV (const RefRows &rownrs, const ArrayBase &data)
| Put some array values in the column.
virtual void | getSliceV (rownr_t rownr, const Slicer &slicer, ArrayBase &data)
| Get a section of the array in the given row.
virtual void | putSliceV (rownr_t rownr, const Slicer &slicer, const ArrayBase &data)
| Put into a section of the array in the given row.
virtual void | getColumnSliceV (const Slicer &slicer, ArrayBase &data)
| Get a section of all arrays in the column.
virtual void | putColumnSliceV (const Slicer &slicer, const ArrayBase &data)
| Put into a section of all arrays in the column.
virtual void | getColumnSliceCellsV (const RefRows &rownrs, const Slicer &slicer, ArrayBase &data)
| Get a section of some arrays in the column.
virtual void | putColumnSliceCellsV (const RefRows &rownrs, const Slicer &slicer, const ArrayBase &data)
| Put into a section of some arrays in the column.
Protected Member Functions inherited from casacore::DataManagerColumn
void | getScalarColumnBase (ArrayBase &dataPtr)
| The default implementations of get and put functions.
void | putScalarColumnBase (const ArrayBase &dataPtr)
void | getScalarColumnCellsBase (const RefRows &rownrs, ArrayBase &dataPtr)
void | putScalarColumnCellsBase (const RefRows &rownrs, const ArrayBase &dataPtr)
void | getArrayColumnBase (ArrayBase &data)
void | putArrayColumnBase (const ArrayBase &data)
void | getArrayColumnCellsBase (const RefRows &rownrs, ArrayBase &data)
void | putArrayColumnCellsBase (const RefRows &rownrs, const ArrayBase &data)
void | getSliceBase (rownr_t rownr, const Slicer &slicer, ArrayBase &data)
void | putSliceBase (rownr_t rownr, const Slicer &slicer, const ArrayBase &data)
void | getColumnSliceBase (const Slicer &slicer, ArrayBase &data)
void | putColumnSliceBase (const Slicer &slicer, const ArrayBase &data)
void | getColumnSliceCellsBase (const RefRows &rownrs, const Slicer &slicer, ArrayBase &data)
void | putColumnSliceCellsBase (const RefRows &rownrs, const Slicer &slicer, const ArrayBase &data)

## Detailed Description

Local sidereal time derived from TIME, etc.

### Intended use:

Internal

Definition at line 59 of file DerivedColumn.h.

## Constructor & Destructor Documentation

## LASTColumn()

casacore::LASTColumn::LASTColumn | ( | MSCalEngine * | engine,
|  | Int | antnr )

inline explicit

Definition at line 62 of file DerivedColumn.h.

References itsAntNr, and itsEngine.

## ~LASTColumn()

virtual casacore::LASTColumn::~LASTColumn | ( |  | ) |

virtual

## Member Function Documentation

## get()

virtual void casacore::LASTColumn::get | ( | rownr_t | rownr,
|  | Double & | data )

virtual

Let a derived class get the scalar value in the given row.

Implements casacore::VirtualScalarColumn< Double >.

## Member Data Documentation

## itsAntNr

Int casacore::LASTColumn::itsAntNr

private

Definition at line 70 of file DerivedColumn.h.

Referenced by LASTColumn().

## itsEngine

MSCalEngine* casacore::LASTColumn::itsEngine

private

Definition at line 69 of file DerivedColumn.h.

Referenced by LASTColumn().

The documentation for this class was generated from the following file:

- derivedmscal/DerivedMC/DerivedColumn.h